---
kind: pipeline
type: docker
name: default
trigger:
  branch:
    - master

steps:
  - name: Build
    image: klakegg/hugo:ext-alpine
    commands:
      - hugo version
      - hugo --minify --destination /drone/src/build

  - name: Upload
    image: plugins/s3
    settings:
      bucket: faulty.equipment
      access_key:
        from_secret: minio_access
      secret_key:
        from_secret: minio_secret
      source: /drone/src/build/**/*
      target: /
      strip_prefix: /drone/src/build/
      path_style: true
      endpoint: https://artifacts.fromouter.space
---
kind: signature
hmac: 5540cfa020bb0387cd74acdc849de7dafed716dc99c75310ca35927adad2aa16
